import request from './request'

// 彩云天气
export function getWeatherApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/source/weather',
    method: 'get'
  })
}
//关注视频列表
export function getColletListApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/video/collectList',
    method: 'post',
    data
  })
}
// 自定义视频列表
export function getColletDiyListApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/video/diyList',
    method: 'post',
    data
  })
}
// 自定义视频列表收藏
export function getColletDiyApi(data) {
  return request({
	url: '/fjtcc-api/api/largeScreen/video/diy',
	method: 'get',
	params: data
  })
}
// 核心景区视频
export function getVideoListApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/video/list',
    method: 'post',
    data
  })
}
// 获取区域摄像头
export function getRegionsListApi(data){
	return request({
	  url: '/fjtcc-api/api/largeScreen/video/regions/page',
	  method: 'post',
	  data
	})
}

// 获取视频播放地址
export function getPreviewUrlApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/video/getPreviewUrl',
    method: 'post',
    data
  })
}

// 刷新播放地址
export function postRefreshApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/video/refresh',
    method: 'post',
    data
  })
}

// 景区
export function getSpotListApi() {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/list',
    method: 'get'
  })
}

// 百度地图详情
export function getBaiduMapApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/baiduMap',
    method: 'get',
    params: data
  })
}

// 百度地图拥堵
export function getBaiduMapCrowdedApi(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/baiduMapCrowded',
    method: 'get',
    params: data
  })
}
// 订票弹窗

export function getSpotTicketDate(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/ticketDate',
    method: 'get',
    params: data
  })
}
// 景区排队数据
export function getSpotVideoEvents(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/videoEvents',
    method: 'post',
    data
  })
}
// 徒步客流统计
export function getSpotPassengerFlow(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/passengerFlow',
    method: 'get',
    data
  })
}
// 收藏视频
export function getVideCollectCate(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/video/collectCate',
    method: 'get',
    data
  })
}
// 收藏排序
export function getVideCollectCateSort(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/video/collectCateSort',
    method: 'post',
    data
  })
}
//今年游客总数
export function getSpotVisitor(data) {
  return request({
    url: '/fjtcc-api/api/largeScreen/spot/spotVisitor',
    method: 'get',
    data
  })
}